@echo off
rem This Script will backup data from mysql, the created backup will be in zip format which can rem be restored only in MSSQL (Restore scrrem ipt is- restoreData.sh)


call .\setCommonEnv.bat


set DB_HOME="%SERVER_HOME%\mysql"

set DRIVER_CLASSES="%SERVER_HOME%\lib\mysql_connector.jar";"%SERVER_HOME%\lib\jtds-1.0.3.jar"


set CLASS_PATH=%DRIVER_CLASSES%;"%SERVER_HOME%\lib\AdventNetFramework.jar";"%SERVER_HOME%\lib\AdvNCM.jar";"%SERVER_HOME%\lib\AdvPersistence.jar";"%SERVER_HOME%\lib\AdventNetNPrevalent.jar"


set BACKUP_DIR=%1


set JAVA_OPTS="-Ddb.home=%DB_HOME% -DseparateJVM=true -Djboss.home.dir=%SERVER_HOME% -Dserver.dir=%SERVER_HOME% -Dfile.encoding=utf8"

"%JAVA%" "%JAVA_OPTS%" -Xms128m -Xmx512m -Dde.backup.dir="%BACKUP_DIR%" -cp "%CLASS_PATH%" com.adventnet.ncm.client.tools.DEBackUp
