function showHideConfigChangeReportComponent(show,showDivId,hideDivId)
{
    var showDivObj = MM_findObj(showDivId);
    var hideDivObj = MM_findObj(hideDivId);

    // show changes
    if(show == true)
    {
        showDivObj.className='hide';
        hideDivObj.className='';
    }
    // hide changes
    else
    {
        showDivObj.className='';
        hideDivObj.className='hide';
    }
}

function changeCheckBoxValue(object)
{
    if ( object.checked )
    {
        object.value = 'true';
    }
    else
    {
        object.value = 'false';
    }
}

function validateReportTemplate(form)
{
    if( validateReportTemplateName(form) )
    {
        if( deviceGroupChooserValidation(form) )
        {
            return dateValidation(form);
        }
    }
    return false;
}

function validateReportTemplateName(form)
{
    var name = trimAll(form.RT_NAME.value);
    for(var j=0;j<rtNames.length;j++)
    {
        if(rtNames[j] == name)
        {
            if( (! is_rt_edit_view ) || ( is_rt_edit_view && (rt_current_name != name)) )
            {
                alert(I18N.getMsg("js.report.validateReportTemplateName.alert"));
                form.RT_NAME.focus();
                return false;
            }
        }
    }
    return true;
}

function customizeLayout(menuItemId, uniqueId, tableAlias, index)
{
    var url = getInvokeActionFromViewURL(menuItemId, uniqueId, tableAlias, index);
    var repTempRowData = getRowDataAsObject(uniqueId,tableAlias,index);
    var urlChanged=url+"VIEWNAME="+repTempRowData["REPORT_TEMPLATE_NAME"];
    openActionURL(menuItemId, urlChanged, uniqueId);
}

function showDiffDialog(menuItemId,refId,additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    var url =  menuItemObj.getActionURL(refId,additionalParams,index);

    var tablemodel = getTableModel(refId);
    var name = tablemodel.getValueAt(index,tablemodel.getColumnIndex("RESOURCENAME"));
    var type = tablemodel.getValueAt(index,tablemodel.getColumnIndex("FILE_TYPE"));

    var params = 'width=900,title='+name+' - '+type+' Config';
    showURLInDialog(url,params);
}


function showInventoryDetailsDialog(menuItemId,refId,additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    var url = menuItemObj.getActionURL(refId,additionalParams,index);
    var params = 'width=850,scrollbars=no,title='+I18N.getMsg("js.report.showInventoryDetailsDialog.variable");
    showURLInDialog(url,params);
}


function dateValidation(form)
{
    var chooseValue =document.getElementById("CUSTOM").checked;

    if(chooseValue == true)
    {
        var fromDate = document.getElementById("START_TIME").value;
        var toDate = document.getElementById("END_TIME").value;

        if(fromDate == "")
        {
            alert(I18N.getMsg("js.report.dateValidation.alert.1"));
            return false;
        }

        if(toDate == "")
        {
            alert(I18N.getMsg("js.report.dateValidation.alert.2"));
            return false;
        }

        fromValue = fromDate.split("/");
        toValue = toDate.split("/");

        if(fromValue[2]<toValue[2])
        {
            return true;
        }
        else
        {
            if(fromValue[2] == toValue[2])
            {
                if(fromValue[0]<toValue[0])
                {
                    return true;
                }
                else
                {
                    if(fromValue[0] == toValue[0])
                    {
                        if(fromValue[1]<=toValue[1])
                        {
                            return true;
                        }
                        else
                        {
                            alert(I18N.getMsg("js.report.dateValidation.alert.3"));
                            return false;
                        }
                    }
                    else
                    {
                        alert(I18N.getMsg("js.report.dateValidation.alert.3"));
                        return false;
                    }
                }
            }
            else
            {
                alert(I18N.getMsg("js.report.dateValidation.alert.3"));
                return false;
            }
        }

    }
    else
    {
        return true;
    }
}

function isCustomReportSelected(form)
{
    var obj = form.REPORT_TYPE;
    if(obj.selectedIndex == -1 )
    {
        alert(I18N.getMsg("js.report.isCustomReportSelected.alert"));
        return false;
    }
    return true;
}

function editCustomReport(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.report.editCustomReport.title")+",modal=yes",null,"NCMReportTemplateListView");
}

function addCustomReport(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.report.addCustomReport.title")+",modal=yes",null,srcViewRefId);
}

function showStartupRunningDiff(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    var tblModel = getTableModel(srcViewRefId);
    var hostname = tblModel.getValueAt(index,tblModel.getColumnIndex("RESOURCENAME"));
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.configuration.checkDraftType.title")+hostname+",width=900");
}

function showConfigChangeDetailsPopup(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    var tblModel = getTableModel(srcViewRefId);
    var hostname = tblModel.getValueAt(index,tblModel.getColumnIndex("RESOURCENAME"));
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.configuration.checkDraftType.title")+hostname+",width=900");
}

function refreshChangeTrendTables(response,reqOptions)
{
    asynchUpdateTableView('CT_DeviceConfigDetails_HomePage','*');
    asynchUpdateTableView('CT_ChangedDevices_HomePage','*');
    asynchUpdateTableView('CT_DateTable_HomePage','*');
    refreshSubView("NCMConfigView_DG_View"); //No I18N
    refreshSubView("NCMConfigview"); //No I18N
    refreshSubView("CT_DeviceConfigDetails_HomePage"); //No I18N
    var el=document.getElementById("CT_DateTable_HomePage_TABLE");
    if(el!=null)
    {
        TableDOMModel.toggleAll(el);
        DOMUtils.getChildElsWithAttr(el,"table_el","TOGGLEALL")[0].checked=false;
    }
}

function refreshConfigView(response,reqOptions)
{
    refreshSubView("NCMConfigView_DG_View"); //No I18N
    refreshSubView("NCMConfigview"); //No I18N
}

//----------------------------------------Validate Custom Reports starts------------------------
function customReportsValidation(form,s,isForResource)
{
    if(s=="true")
        return(customReportValidationForAdd(form,isForResource));
    else
        return (customReportValidationForUpdate(form));
}

function customReportValidationForAdd(form,isForResource)
{
     if(validateReportName(form))
    {
        selectAllElements(form.SELECTEDCOLUMNS,true); 
        if(form.REPORT_TYPE.options[form.REPORT_TYPE.selectedIndex].value!='compliance_report')
        {return validateColumnChooser(form,isForResource);}
        else  return (validateDeviceChoose(form,isForResource));
    }
    else {
        return false;
    }
}

function customReportValidationForUpdate(form)
{
    selectAllElements(form.SELECTEDCOLUMNS,true);
    var isForResource=false;
    if(validateColumnChooser(form,isForResource)){
        return true;
    }
    else {
        return false;
    }
    }

function isReportNameExists(form)
{
    var result = isUniqueColoumn('NCMCustomReports','CUSTOMREPORTNAME',form.REPORT_NAME.value); //No I18N
    if(result != "true")
    {
        alert(I18N.getMsg("js.customreport.reportNameValidation"));
        return false;
    }
    else return true;
}

function validateReportName(form)
{
    var name=form.REPORT_NAME.value;
    if(name.length<=0){
        alert(I18N.getMsg("js.errormsg.enterreportname"));
        return false;
    }
    else {

        return isReportNameExists(form);
    }
}
function validateColumnChooser(form,isForResource)
{  if(form.REPORT_TYPE_VAL.value=='compliance_report'){return  (validateDeviceChoose(form,isForResource));} //No I18N
    else
    {
        if(form.SELECTEDCOLUMNS.length <= 0)
        {
            alert(I18N.getMsg("js.errormsg.selectcolumnfromlist"));
            return false;
        }
        else
        {
            return (validateDeviceChoose(form,isForResource));
        }
    }
}
function validateDeviceChoose(form,isForResource)
{
    if(isForResource){return true;}
    selectAllElements(form.SELECTEDDEVICES,true);
    if(form.RadioOption[0].checked)
    {
       
        if(form.SELECTEDDEVICES.length <= 0)
        {
                        
            alert(I18N.getMsg("js.devicechooser.deviceGroupChooserValidation.alert.1"));
            return false;
        }
    }
    else
    {   
        if(form.DEVICEGROUPSELECTION.selectedIndex == -1 )
        {
            alert(I18N.getMsg("js.devicechooser.deviceGroupChooserValidation.alert.2"));
            return false;
        }
    }
    return true;
}

//----------------------------------------Validate Custom Reports ends------------------------

//For  Select columns

function updateSelectObjects_ComplianceReports(takeFrom,addTo,addToBaseContents)
{

    var opt,i=0;
    var j;
    if(takeFrom.selectedIndex != -1)
    {
        
        while(opt = takeFrom.options[i++] )
        {
            if(opt.selected &&(opt.index >=0))
            {
                
                addTo.options[addTo.options.length] = new Option(opt.text, opt.value,false, false);
                takeFrom.options[--i] = null;
                
                if(addToBaseContents)
                {
                    takeFrom.options[i] = opt.text;
                }
               
            }
        }
    }

}




function updateSelectObjects_Reports(takeFrom,addTo,addToBaseContents)
{

    var opt,i=0;
    if(takeFrom.selectedIndex != -1)
    {
        while(opt = takeFrom.options[i++] )
        {
            
            if(opt.selected &&(opt.index >=0))
            {
                addTo.options[addTo.options.length] = new Option(opt.text, opt.value,false, false);
                takeFrom.options[--i] = null;
                if(addToBaseContents)
                {
                    takeFrom.options[opt.value] = opt.text;
                
                }
                else
                {
                    takeFrom.options[opt.value] = null;
                }
            }
        }
    }

}

function fillColumnBox(result,form)
{
    var columnField =  form.LISTOFCOLUMNS;
    cleanOptionsInSelectBox(form.SELECTEDCOLUMNS,false);
    var splitedResult = result.split(",");
    cleanOptionsInSelectBox(columnField,true);
    var j=0;
    for(var i=0;i<splitedResult.length;i++)
    {
        columnField.options[j++] = new Option(splitedResult[i], splitedResult[++i]);
    }
}
function complianceOptionSelected(option,form)
{
    if(option=='Policy')
        {
            document.getElementById("showRules").className='hide';
            document.getElementById("showRuleGroups").className='hide'
            document.getElementById("showPolicies").className=' '
        }
    else if(option=='RuleGroup')
        {
            document.getElementById("showRules").className='hide'
            document.getElementById("showRuleGroups").className=' '
            document.getElementById("showPolicies").className='hide'
        }
    else if(option=='Rule')
        {
            document.getElementById("showRules").className=' '
            document.getElementById("showRuleGroups").className='hide'
            document.getElementById("showPolicies").className='hide'
        }

    
}
//Get columns When personality changed
function getColumnForPersonalities(form)
{
    var templateName = form.PERSONALITY_NAME.value;
    var url = "jsp/report/FetchColumns.jsp?TYPE=PERSONALITY&PERSONALITY_NAME="+templateName; //No I18N
    var result=getAjaxResult(url);
    result=trimAll(result);
    fillColumnBox(result,form);
    baseContents=new Object();
    fillbaseContents(baseContents,form);
}

//Fill columnsboxes on edit
function updateSelectionBoxes(form,selectedColumns,personality)
{
    var selectedArray=new Array();
    selectedArray=selectedColumns.split(",");
    var url = "jsp/report/FetchColumns.jsp?TYPE=PERSONALITY&PERSONALITY_NAME="+personality; //No I18N
    var allColumns=getAjaxResult(url);
    allColumns = trimAll(allColumns);
    var allColumnsArr=new Array();
    allColumnsArr=allColumns.split(",");
    var index1=0;
    var index2=0;
    for(var len=0;len<allColumnsArr.length;len++)
    {

        if(selectedArray.contains(allColumnsArr[len+1])){
            form.SELECTEDCOLUMNS.options[index2++] = new Option(allColumnsArr[len], allColumnsArr[++len]);
        }
        else{
            form.LISTOFCOLUMNS.options[index1++] = new Option(allColumnsArr[len], allColumnsArr[++len]);
        }
    }
}

//Array.contains function
Array.prototype.contains = function (element) {

    for (var i = 0; i < this.length; i++) {

        if (this[i] == element) {
            return true;
        }
    }
    return false;
}

//Hide Personality Selection on selecting DG
function showHidePersonalitySelectBoxForEdit(form,selected)
{
    if(selected=='SelectPersonality')
    {
        document.getElementById('selecteddevicetemplate_id').className='hide';
        document.getElementById('selectdevicetemplate_id').className='';
    }
    else if(selected=='SelectDeviceGroup')
    {

        document.getElementById('selectdevicetemplate_id').className='hide';
        document.getElementById('selecteddevicetemplate_id').className='';
    }
  document.getElementById('columnChooser_id').className=' ';
            document.getElementById('selectdevicetemplate_id').className=' ';
            document.getElementById('complianceChooser_id').className='hide';
            document.getElementById('complianceShowOption_id').className='hide';
            document.getElementById('complianceDetails_Id').className='hide';
}

function showHidePersonalitySelectBox(form,selected)
{
    if(selected=='SelectPersonality')
    {
        document.getElementById('selecteddevicetemplate_id').className='hide';
        document.getElementById('selectdevicetemplate_id').className='';
    }
    else if(selected=='SelectDeviceGroup')
    {

        document.getElementById('selectdevicetemplate_id').className='hide';
        document.getElementById('selecteddevicetemplate_id').className='';
    }
    var repTypeObj=form.REPORT_TYPE; 
    if(repTypeObj.options[repTypeObj.selectedIndex].value=='compliance_report')
    {
        document.getElementById('selecteddevicetemplate_id').className='hide';
        document.getElementById('cr_notes_id').className='hide';
    }
}

// For resource Specific report(From inventory)
function getColumnsForResourcePersonality(form,value)
{
    var url = "jsp/report/FetchColumns.jsp?TYPE=PERSONALITY&PERSONALITY_NAME="+value; //No I18N
    var result = getAjaxResult(url);
    result=trimAll(result);
    fillColumnBox(result,form);
}

//Find devices of selected personality
function fillbaseContents(baseContents,form)
{

    cleanOptionsInSelectBox(form.SELECTEDDEVICES,false);
    var templateName = form.PERSONALITY_NAME.value;
    var url = "jsp/report/FetchColumns.jsp?TYPE=GetResources&PERSONALITY_NAME="+templateName; //No I18N
    var result =getAjaxResult(url);
    result = trimAll(result);
    var splitedResult=result.split(",");
    for(var i=0;i<splitedResult.length;i=i+2)
    {
        var display=splitedResult[i];
        var value=splitedResult[i+1];
        baseContents[value]=display;
    }
    loadValues(baseContents,document.getElementById('LISTOFDEVICES'));
    return baseContents;

}

function fillbaseContents_Compliance(baseContents,form)
{
    cleanOptionsInSelectBox(form.SELECTEDDEVICES,false);
    var url = "jsp/report/FetchColumns.jsp?TYPE=GetAllResources"; //NO I18N
    var result =getAjaxResult(url);
    result = trimAll(result);
    var splitedResult=result.split(",");
    for(var i=0;i<splitedResult.length;i=i+2)
    {
        var display=splitedResult[i];
        var value=splitedResult[i+1];
        baseContents[value]=display;
    }
    loadValues(baseContents,document.getElementById('LISTOFDEVICES'));
    return baseContents;
}
//Get selected Option from Radio Button
function getSelectedOfRadio(form)
{
    var radioValue;
    for(var i=0;i<form.RadioOption.length;i++)
    {
        if(form.RadioOption[i].checked)
            radioValue=form.RadioOption[i].value;
    }
    return radioValue;
}
function getSelectedOfComplianceRadio(form)
{
     var radioValue;
    for(var i=0;i<form.ComplianceOption.length;i++)
    {
        if(form.ComplianceOption[i].checked)
            radioValue=form.ComplianceOption[i].value;
    }
    return radioValue;
}
//If 'Selct By Personality' selected
function specificDeviceSelected(value,form)
{
    showHideDeviceGroupComponents('SpecificDevice'); //No I18N
            if(form.REPORT_TYPE.options[form.REPORT_TYPE.selectedIndex].value!='compliance_report')
            {showHidePersonalitySelectBox(form,'SelectPersonality'); //No I18N
            getColumnForPersonalities(form);}
        }
//If 'Select By devicegroup' selected
function dgSelected(document,obj,form)
{
    showHideDeviceGroupComponents('DeviceGroup');//No I18N
    showHidePersonalitySelectBox(form,'SelectDeviceGroup');//No I18N
    populateDeviceGroupPers(document,obj,form);
}
//Find dg Personality and columns
function populateDeviceGroupColumnsAndPers(document,persObj,form)
{
    populateDeviceGroupColumns(document,persObj,form);
    populateDeviceGroupPers(document,persObj,form);
 
}
function populateDeviceGroupColumns(document,persObj,form)
{
 var selectedDG=document.getElementById("DEVICEGROUPSELECTION").value;
    var pers=persObj[selectedDG];
    var url = "jsp/report/FetchColumns.jsp?TYPE=PERSONALITY&PERSONALITY_NAME="+pers; //No I18N
    var result = getAjaxResult(url);
    result = trimAll(result);
    fillColumnBox(result,form);
}

function populateDeviceGroupPers(document,persObj,form)
{
    
 var selectedDG=document.getElementById("DEVICEGROUPSELECTION").value;
    var pers=persObj[selectedDG];
 
  var  url="jsp/report/FetchColumns.jsp?TYPE=PERSNAME&PERSONALITY_ID="+pers;//No I18N
   var result = getAjaxResult(url);
    result = trimAll(result);
    if(result!="NO_DG_ERROR")
    {
        document.getElementById("dg_pers_id").innerHTML=result;
    }
}
function generate(name,descr,personality,columns,option,value)
{
    var url = "jsp/report/FetchColumns.jsp?TYPE=GETVIEWNAME&NAME="+name+"&DESCR="+descr+"&PERSONALITY="+personality+"&COLUMNS="+columns+"&OPTION="+option; //NO I18N
    var url1="&"+option+"="+value;
    url=url+url1;
    var viewName = getAjaxResult(url);
    var urlToOpen;
    if(option=='DEVICE_GROUP')
    {urlToOpen='ShowCustomReportsView.cc?VIEWCREATED='+viewName+"&NAME="+name+"&REPORTOPTION="+option+"&DG_ID="+value+"&DESCR="+descr;} //No I18N
    else
    {urlToOpen='ShowCustomReportsView.cc?VIEWCREATED='+viewName+"&NAME="+name+"&REPORTOPTION="+option+"&DESCR="+descr;} //No I18N
    window.open(urlToOpen,'_newwindow', 'width=960,height=700,scrollbars=yes');
}
function generateComplianceCR(form,name,descr,compOption,dgId,deviceArr)
{
 var rOption="SPEC";  //NO I18N
 if(getSelectedOfRadio(form)=="SelectDeviceGroup")
 {
     var url="jsp/report/FetchColumns.jsp?TYPE=GETRESOURCESOFDG&DGID="+dgId; //NO I18N
 deviceArr=getAjaxResult(url);
 rOption="DG&DGID="+dgId;  //NO I18N
 }
 var compShowResult=form.COMPLIANCE_SHOW_RESULT;
 var selectedIndex=form.COMPLIANCE_SHOW_RESULT.selectedIndex;
var showOption=compShowResult.options[selectedIndex].value;
 var toReturn=" ";
 if(compOption=='RULEIDS'){toReturn=getSelectedRulesForComplianceCR(form,'NCMAddRGRuleList');}
 else if(compOption=='RGIDS'){toReturn=getSelectedRGsForComplianceCR(form,'NCMAddPolicyRGList');}
 else if(compOption=='POLICYIDS'){toReturn=getSelectedPoliciesForComplianceCR(form,'NCMCompliancePolicyDetailsView');}
 var selectedArr=form.COMP_DETAILS.value;
 if(toReturn)
 {var urlToOpen="NCMComplianceCustomReportsView.cc?RESOURCEIDS="+deviceArr+"&"+compOption+"="+selectedArr+"&R_OPTION="+rOption+"&SHOW="+showOption +"&NAME="+name+"&DESC="+descr;  //NO I18N
 window.open(urlToOpen,'_newwindow', 'width=960,height=700,scrollbars=yes');}

}
function showHideElementsForSingleResource(document,resource)
{
    document.getElementById('SelectBy_id').className='hide';
    document.getElementById('selectdevicetemplate_id').className='hide';
    document.getElementById('resourceName_id').className='';
    document.getElementsByName("CR_RESOURCE_ID").value=resource;
}

function getAjaxResult(url)
{
    var xmlhttp = AjaxAPI.getXMLHttpRequest();
    xmlhttp.open("GET",url,false);
    xmlhttp.send(null);
    var result = xmlhttp.responseText;
    result = trimAll(result);
    return result;
}
function getSelectObjectValues(Obj)
                {
                     var len=Obj.length; 
                     var a=new Array();
                      for(var j =0;j<len;j++)
                      {
                       a[j]= Obj.options[j].value;
                      }
                      return a;

                }
function showHideComponentsForReportType_Res(form,selected)
{


if(selected=='compliance_report')
    {
        
        document.getElementById('columnChooser_id').className='hide'; 
        document.getElementById('complianceChooser_id').className='';
        document.getElementById('complianceShowOption_id').className='';
        document.getElementById('complianceDetails_Id').className=''; 
        form.ComplianceOption[0].checked=true;
    }
     else
        {
            document.getElementById('columnChooser_id').className=' ';
            document.getElementById('selectdevicetemplate_id').className='hide';
            document.getElementById('complianceChooser_id').className='hide';
            document.getElementById('complianceShowOption_id').className='hide';
            document.getElementById('complianceDetails_Id').className='hide';
            getColumnForPersonalities(form);
        }
}
function showHideComponentsForReportType(form,selected)
{
    form.RadioOption[0].checked=true;
    showHideDeviceGroupComponents('SpecificDevice'); //No I18N
    if(selected=='compliance_report')
    {
        document.getElementById('columnChooser_id').className='hide';
        document.getElementById('selectdevicetemplate_id').className='hide';
        document.getElementById('complianceChooser_id').className='';
        document.getElementById('complianceShowOption_id').className='';
        document.getElementById('complianceDetails_Id').className='';
        form.ComplianceOption[0].checked=true;
        baseContents=new Object();
        fillbaseContents_Compliance(baseContents,form);
    }
    else
        {
            document.getElementById('columnChooser_id').className=' ';
            document.getElementById('selectdevicetemplate_id').className=' ';
            document.getElementById('complianceChooser_id').className='hide';
            document.getElementById('complianceShowOption_id').className='hide';
            document.getElementById('complianceDetails_Id').className='hide';
            getColumnForPersonalities(form);
        }
    
}
function showRuleCriteria(menuItemId, srcViewRefId, additionalParams,index)

{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"position=absmiddle,title="+I18N.getMsg("js.compliance.showAddCompRule.title")+",modal=no,width=750");  //NO I18N
}
function showPolicyDetails(menuItemId, srcViewRefId, additionalParams,index)
{
 
 var menuItemObj = getMenuItemObj(menuItemId);
   var url =  menuItemObj.getActionURL(srcViewRefId,additionalParams,index);

        var params = 'title='+I18N.getMsg("js.compliance.showAddCompPolicy.title")+',position=absolute,left=300,top=200';//No I18N
   
   showURLInDialog(url,params);
}
function getCompDetailsValues(form)
{
   var selectedArr=" ";
   var selectedValue=getSelectedOfComplianceRadio(form);
 if(selectedValue=='RULEIDS'){return getSelectedRulesForComplianceCR(form,'NCMAddRGRuleList');}
 else if(selectedValue=='RGIDS'){return getSelectedRGsForComplianceCR(form,'NCMAddPolicyRGList');}
 else if(selectedValue=='POLICYIDS'){return getSelectedPoliciesForComplianceCR(form,'NCMCompliancePolicyDetailsView');}
 
}

function setComplianceShowResult_RC(selected,actionSrc)
{
        var url=document.URL;
        var startIndex=url.indexOf("&SHOW=",0);
        if(startIndex!=-1)
        {
        var endIndex=url.indexOf("&",startIndex+1);
        var length=endIndex-startIndex;
        var string=url.substr(startIndex, length)
        var newurl=url.replace(string, "&SHOW="+selected);
	window.open(newurl,'_self', 'width=960,height=700,scrollbars=yes');
        }
        else {
            var newurl=url.replace("&=,", "&SHOW="+selected+"&=,");
            window.open(newurl,'_self', 'width=960,height=700,scrollbars=yes');
        }
    
}
